Page MenuHomePhabricator

Community Relations support needed for a read-only window for s1 (enwiki)
Closed, ResolvedPublic

Description

What is the problem?

We need to failover the current s1 database primary master, to a newer host (T234800)
Technical tracking task for this maintenance: T234800
For this operation we need to set up the following wiki on read-only:

enwiki

How can we help you?

We need to let users of the above wiki, that on Thu 14th November from 05:00 to 05:30 AM UTC that wiki will be on read-only. No writes will be allowed, reads will remain unaffected.

What does success look like?

Users will get notified and plan their work to avoid that maintenance window.
If everything goes fine, we expect the read-only window to last around 1-2 minutes, not 30.

What is your deadline?

We'd like to do this switchover by Thu 14th Nov at 06:00 AM UTC

Details

Due Date
Nov 14 2019, 4:00 AM

Event Timeline

Trizek-WMF triaged this task as Medium priority.

English Wikipedia takes care of their own banners. I pinged them.

FOr now, the community is in favor to not display a banner. I let them decide.

I'll ping the village pump a few days before the maintenance window.

@Trizek-WMF I suggest including this activity in the preceding https://meta.wikimedia.org/wiki/Tech/News ; while it is "only" impacting one project , I've seen that often other projects build dependencies on enwiki components.

@Trizek-WMF I suggest including this activity in the preceding https://meta.wikimedia.org/wiki/Tech/News ; while it is "only" impacting one project , I've seen that often other projects build dependencies on enwiki components.

I don't think it is eligible for Tech News.

... because Tech News is not for announcements that cover just one wiki (even if that wiki happens to be the biggest).
Even if the disruption is short, this is the most effective way to tell everyone at your wiki about it.
If you really don't want the banner, then at least tell WP:VPT so that your peers can handle better the inevitable complaints about the lack of a proper notice :)

Trizek-WMF set Due Date to Nov 14 2019, 4:00 AM.Oct 30 2019, 3:35 PM
jcrespo added a subscriber: jcrespo.Nov 8 2019, 9:17 AM

Oh, I commented on T234800#5647083, probably on the wrong ticket, but just in case, a reminder this is one week away.

I just realised that when we created this task and scheduled the maintenance I didn't take into account that we'd have had the change from CEST to CET, so I am going to update the task to reflect that this will happen at 06:00 AM UTC instead of 05:00 AM UTC.
Sorry for the confusion.

Marostegui updated the task description. (Show Details)Nov 12 2019, 7:26 AM
Trizek-WMF added a comment.EditedNov 13 2019, 9:43 AM

I left a reminder on the village pump.

Marostegui closed this task as Resolved.Nov 14 2019, 6:12 AM

This was done.

Read only start: 06:00:28
Read only stop: 06:01:39

Total read only time: 01:11 minutes

Thanks for your help!